---
updatedAt: 2026-05-21T18:12:22.000Z
---

# Create dynamic group

Dynamic group creation will allow to evaluate membership based on defined condition set of user profile's attributes. Its membership will get updated dynamically based on change in user profile attribute.
To create dynamic group, name and conditionSet is required. An optional description attribute can be set to describe the dynamic group.

Entitlement required: tenantAdmin, manageDynamicGroups
Note: You only need one entitlement, but you can have more than one.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "IBM Verify API",
    "title": "IBM Verify API"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Dynamic group management"
    }
  ],
  "paths": {
    "/v1.0/dynamicgroups/": {
      "post": {
        "tags": [
          "Dynamic group management"
        ],
        "summary": "Create dynamic group",
        "description": "Dynamic group creation will allow to evaluate membership based on defined condition set of user profile's attributes. Its membership will get updated dynamically based on change in user profile attribute.\nTo create dynamic group, name and conditionSet is required. An optional description attribute can be set to describe the dynamic group.\n\nEntitlement required: tenantAdmin, manageDynamicGroups\nNote: You only need one entitlement, but you can have more than one.",
        "requestBody": {
          "description": "Dynamic group name, description and condition set",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DynamicGroup"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Dynamic group created. Membership evaluation may take some time depending upon defined condition set and users in the tenant.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/IdResult"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage_1"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage_1"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage_1"
                }
              }
            }
          }
        },
        "x-publicAPI": "true",
        "x-category": "IBM Verify API",
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "components": {
    "schemas": {
      "DynamicGroup": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Name of dynamic group. Maximum length can be 1024 characters.",
            "example": "Pune security department"
          },
          "description": {
            "type": "string",
            "description": "Description of dynamic group. Maximum length can be 1024 characters.",
            "example": "All users of Security department from Pune"
          },
          "conditionSet": {
            "type": "array",
            "description": "Condition set to evaluate membership for the dynamic group.\nMaximum length can be 1024 characters.\nCondition set format is [{\"{attributeName}\":[{\"op\":\"{operator}\",\"vl\":\"{value}\"}]}]\n\nAttribute name can be fetched from GET https://{tenanturl}/v1.0/attributes?search=sourceType=\"schema\"&tags!=\"__hashed__\" API.\nValid operators for string and multivalue string data type are eq (equal), sw (startswith) and ew (endswith).\nValid operator for number and boolean data type is eq (equal).\n\nExample condition set:\nSecurity department users from Pune: [{\"department\":[{\"op\":\"eq\",\"vl\":\"Security\"}],\"work_locality\":[{\"op\":\"eq\",\"vl\":\"Pune\"}]}]\nSecurity department users from either Pune or Bangalore: [{\"department\":[{\"op\":\"eq\",\"vl\":\"Security\"}],\"work_locality\":[{\"op\":\"eq\",\"vl\":\"Pune\"}]},{\"department\":[{\"op\":\"eq\",\"vl\":\"Security\"}],\"work_locality\":[{\"op\":\"eq\",\"vl\":\"Bangalore\"}]}]",
            "items": {
              "type": "object",
              "additionalProperties": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/OperationAndValue"
                }
              }
            }
          }
        }
      },
      "OperationAndValue": {
        "required": [
          "op",
          "vl"
        ],
        "type": "object",
        "properties": {
          "op": {
            "type": "string",
            "description": "Operation",
            "example": "eq"
          },
          "vl": {
            "type": "string",
            "description": "Value",
            "example": "Security"
          }
        }
      },
      "IdResult": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier of the dynamic group",
            "example": "dd7bc16a-15e7-410a-be38-8855456bfeae"
          }
        }
      },
      "ErrorMessage_1": {
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "Unique identifier of the error message",
            "example": "<error_message_id>"
          },
          "messageDescription": {
            "type": "string",
            "description": "Description of the error message",
            "example": "<error_message>"
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```